ONVIF::Device::Types::PTZPresetTourStartingConditionOptions(3)

NAME
ONVIF::Device::Types::PTZPresetTourStartingConditionOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZPresetTourStartingConditionOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RecurringTime

•   RecurringDuration

•   Direction

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::PTZPresetTourStartingConditionOptions
   RecurringTime =>  { # ONVIF::Device::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   RecurringDuration =>  { # ONVIF::Device::Types::DurationRange
     Min =>  $some_value, # duration
     Max =>  $some_value, # duration
   },
   Direction => $some_value, # PTZPresetTourDirection
   Extension =>  { # ONVIF::Device::Types::PTZPresetTourStartingConditionOptionsExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL